package dev.fyloz.trial.colorrecipesexplorer.model.dto;

import dev.fyloz.trial.colorrecipesexplorer.model.Company;
import dev.fyloz.trial.colorrecipesexplorer.model.Recipe;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

@Data
public class RecipeEditorFormDto {

    private Long id;

    private String name;

    private Company company;

    private String description;

    private Integer sample;

    private LocalDate approbationDate;

    private String remark;

    private String note;

    private List<String> step;

    public Recipe getRecipe() {
        return new Recipe(id, name, company, description, "ffffff", (byte) 0, sample, approbationDate, remark, note);
    }

    public Recipe update(Recipe original) {
        return new Recipe(original.getId(), name, company, description, "ffffff", (byte) 0, sample, approbationDate, remark, note);
    }

}
